ARM Technical Support Knowledge Articles

Why does the NFU utility not work on EB RevC boards?

Applies to: EB (Emulation Baseboard)

Answer

Problem:

When using NFU version 4.0 or later on an EB RevC board, the following error is generated: 

ARM Network Flash Utility V4.1.7
Little Endian
NexGenOS: can't initialize stack, error=0200

Scenario:

The Ethernet controller implemented on the EB has changed between board revisions. This has a direct impact on the compatibility of the NFU version used. 

Solution:

EB RevC requires NFU version 3.4.x which is available from the "Firmware_Legacy" directory on the Versatile Family CD at the following default installation path:

C:\Program Files\ARM\Versatile\Firmware_Legacy\3.7\1\Images_EB\ARM_Little_Endian

EB RevD requires NFU version 4.0 or later which is available from the "Firmware" directory on the Versatile Family CD at the following default installation path:

C:\Program Files\ARM\Versatile\Firmware\3.7\1\Images_EB\ARM_Little_Endian

Article last edited on: 2009-09-17 10:49:51

Rate this article

[Bad]
|
|
[Good]
Disagree? Move your mouse over the bar and click

Did you find this article helpful? Yes No

How can we improve this article?

Link to this article
Copyright © 2011 ARM Limited. All rights reserved. External (Open), Non-Confidential